MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
Agents
Auth
Billing
Bundler
Append Conversation Messages (M2M)Append Workflow Run Trace Step (M2M, fail-open)Create Conversation (M2M)Create Workflow Run (M2M)Dispatch a Matched Tool-Call Webhook (M2M)Finalize Workflow Run Outputs (M2M, fail-closed on the caller's side)Ingest Request TelemetryResolve An SMS Conversation Thread (M2M)Mint Widget Session Token (M2M)Reconcile Token LedgerReport An Outbound Call Outcome (M2M)Resolve Agent (M2M)Resolve Agent Config Snapshot (M2M)Resolve Agent for Inbound A2A (M2M, conditionally authenticated)Resolve BundleResolve Inbound Channel (M2M)Resolve LLM Credential (M2M)Resolve Telephony Credential For Outbound Origination (M2M)Resolve Tool-Call Override Bindings (M2M)Resolve Tool-Call Webhook Bindings (M2M)Resolve Public Widget Embed Key (M2M)Resolve Agent Workflow (M2M)Search Agent Knowledge Bases (M2M)Store Workflow Node Samples (M2M, fail-open)Submit Conversation Extraction (M2M)Update Conversation Status (M2M)Record Channel Status (M2M)
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Embedding
Fleet
Knowledge Bases
LLM
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisations
Realtime
Reviews
Roadmap
SCIM
STT
Suppression
Triggers
TTS
Users
Utils
Voices
Webhooks
Workflows
API ReferenceBundler

Submit Conversation Extraction (M2M)

POST
/v1/bundler/conversations/{conversation_id}/extraction

Create or update the post-call extraction/evaluation result for a Conversation. Authenticated with a BundleAccessToken for the SAME deployment the target Conversation belongs to.

Authorization

BundleAccessToken
AuthorizationBearer <token>

In: header

Path Parameters

conversation_id*Conversation Id
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/bundler/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/extraction" \  -H "Content-Type: application/json" \  -d '{    "status": "string"  }'
{  "status": "string",  "summary": "string",  "extracted_fields": {    "property1": "string",    "property2": "string"  },  "evaluation_results": {    "property1": {      "passed": true,      "reasoning": "string"    },    "property2": {      "passed": true,      "reasoning": "string"    }  }}
Empty
Empty
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Store Workflow Node Samples (M2M, fail-open)

Previous Page

Update Conversation Status (M2M)

Next Page

status*Status
summary?string|null
extracted_fields?|null
evaluation_results?|null